[arch-commits] Commit in libmodplug/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri May 1 23:48:21 EDT 2009


    Date: Friday, May 1, 2009 @ 23:48:21
  Author: eric
Revision: 37464

Merged revisions 356,37458 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libmodplug/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r37458 | eric | 2009-05-01 23:29:09 -0400 (Fri, 01 May 2009) | 2 lines
  
  upgpkg: libmodplug 0.8.7-1
      Upstream update, Updated license
........

Modified:
  libmodplug/repos/extra-i686/	(properties)
  libmodplug/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)


Property changes on: libmodplug/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libmodplug/trunk:1
   + /libmodplug/trunk:1-37463

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-02 03:35:11 UTC (rev 37463)
+++ extra-i686/PKGBUILD	2009-05-02 03:48:21 UTC (rev 37464)
@@ -3,21 +3,22 @@
 # Contributor: Patrick Leslie Polzer <leslie.polzer at gmx.net>
 
 pkgname=libmodplug
-pkgver=0.8.4
+pkgver=0.8.7
 pkgrel=1
 pkgdesc="A MOD playing library"
 arch=(i686 x86_64)
 url="http://modplug-xmms.sourceforge.net/"
-license=('GPL')
-depends=(gcc-libs)
-source=(http://downloads.sf.net/sourceforge/modplug-xmms/libmodplug-${pkgver}.tar.gz)
-md5sums=('091bd1168a524a4f36fc61f95209e7e4')
+license=('custom')
+depends=('gcc-libs')
 options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/modplug-xmms/libmodplug-${pkgver}.tar.gz)
+md5sums=('d2d9ccd8da22412999caed076140f786')
 
 build() {
-  cd ${startdir}/src/libmodplug-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/libmodplug-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
 



More information about the arch-commits mailing list